List the organization's detection engines
curl --request GET \
--url https://{host}/api/dlp/admin/v1/detection-engines \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/dlp/admin/v1/detection-engines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/dlp/admin/v1/detection-engines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/detection-engines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/detection-engines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/dlp/admin/v1/detection-engines")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/detection-engines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"capabilities": {
"confidence_scores": true,
"native_blocking": true,
"native_masking": true,
"pii_detection": true,
"prompt_attack_detection": true,
"provider_class": "<string>",
"secret_detection": true,
"span_offsets": true,
"supports_tokenization_pipeline": true
},
"config": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"enabled_detection_types": [
"<string>"
],
"id": "<string>",
"name": "<string>",
"org_id": "<string>",
"provider_class": "<string>",
"provider_type": "<string>",
"runtime_stages": [
"<string>"
],
"supported_actions": [
"<string>"
],
"supported_detection_types": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"provider_connection_name": "<string>",
"updated_by": "<string>"
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Data Control Center
List the organization's detection engines
GET
/
api
/
dlp
/
admin
/
v1
/
detection-engines
List the organization's detection engines
curl --request GET \
--url https://{host}/api/dlp/admin/v1/detection-engines \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/dlp/admin/v1/detection-engines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/dlp/admin/v1/detection-engines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/detection-engines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/detection-engines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/dlp/admin/v1/detection-engines")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/detection-engines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"capabilities": {
"confidence_scores": true,
"native_blocking": true,
"native_masking": true,
"pii_detection": true,
"prompt_attack_detection": true,
"provider_class": "<string>",
"secret_detection": true,
"span_offsets": true,
"supports_tokenization_pipeline": true
},
"config": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"enabled_detection_types": [
"<string>"
],
"id": "<string>",
"name": "<string>",
"org_id": "<string>",
"provider_class": "<string>",
"provider_type": "<string>",
"runtime_stages": [
"<string>"
],
"supported_actions": [
"<string>"
],
"supported_detection_types": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"provider_connection_name": "<string>",
"updated_by": "<string>"
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
ApiKeyOAuth2
Scopes
Response
Detection engines, with their code-derived capabilities